Subject: bug#8545: issues with recent doprnt-related changes

From: Jason Rumney <[email-masked]>
Date: Sun, 01 May 2011 16:12:38 +0800

Paul Eggert <[email-masked]> writes:

> I'm not sure what is meant here, as the program in question
> doesn't have any implicit arithmetic conversions (or at least,
> it doesn't on the typical 64-bit host I was talking about).

It has implicit type conversion from int to char* and then to long.
Whether those types are different from each other depends on the host
machine, OS and compiler. That is what is undeterministic about your
example, not the fact that in int arithmetic INT_MAX + 1 == INT_MIN.